from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XNotation(XNode, Protocol):
    def getPublicId(self) -> str: ...
    def getSystemId(self) -> str: ...
